<div fxLayout="row" class="main">

  <div fxFlexOffset="45%">

    <md-card class="center-text">

      <div>
        <img src="assets/img/Yum-logo-small.png">
        <h3>Your asked to change your password</h3>
      </div>

      <div>

        <p class="instructions"><small>Please enter a new password to continue.</small></p>

        <form [formGroup]="changepwdForm" (ngSubmit)="changePwd()" autocomplete="off">

          <div>
            <md-input-container>
              <input mdInput type="password" formControlName="password" placeholder="Password">
              <md-error>
                <span *ngIf="changepwdForm.get('password').hasError('required')">Required</span>
                <span *ngIf="changepwdForm.get('password').hasError('minlength')">Minimum length 6 characters</span>
                <span *ngIf="changepwdForm.get('password').hasError('maxlength')">Maximum length 25 characters</span>
              </md-error>
            </md-input-container>
          </div>

          <div>
            <md-input-container>
              <input mdInput type="password" formControlName="passwordConfirm" placeholder="Confirm Password" (blur)="blurred = true;" (focus)="blurred = false;">
              <md-error>
                <span *ngIf="changepwdForm.get('passwordConfirm').hasError('required')">Required</span>
                <span *ngIf="changepwdForm.get('passwordConfirm').hasError('validateStart')
                            || (changepwdForm.get('passwordConfirm').hasError('validateEqual') && blurred) && !changepwdForm.get('passwordConfirm').hasError('required')">Password missmatch</span>
              </md-error>
            </md-input-container>
          </div>

          <div>
            <button md-button type="button" color="accent" class="button-strong-text" id="home-btn" (click)="gotoLogin()"><md-icon>home</md-icon></button>
            <button md-button type="submit" color="primary" class="button-strong-text" [disabled]="disableSubmit || !changepwdForm.valid || loading" id="submit-btn">Change password</button>
            <div class="working-spinner" *ngIf="loading">
              <md-spinner color="warn" class="small-md-spinner"></md-spinner>
            </div>
          </div>

        </form>

      </div>

    </md-card>

  </div>

</div>
